Page MenuHomePhabricator

URL of the Developer Hub
Closed, ResolvedPublic

Description

The Developer Hub must sit somewhere and we need a memorable URL for it. For this we need a name and also a decision on whether it should sit inside mediawiki.org or another existing MediaWiki, or in a site on its own.

Details

Reference
fl490

Event Timeline

flimport raised the priority of this task from to Normal.Sep 12 2014, 1:43 AM
flimport added a project: Web-APIs-Hub.
flimport set Reference to fl490.

qgil wrote on 2014-08-25 12:56:05 (UTC)

build.wikimedia.org it is. This might be a redirect to another URL marked by the CMS used to power the site, MediaWiki or another.

qgil wrote on 2014-08-25 19:11:16 (UTC)

Reopening...

qgil wrote on 2014-08-25 19:13:23 (UTC)

... and resolving with dev.wikimedia.org -- reasoning at T492#12.

marktraceur wrote on 2014-08-26 16:25:05 (UTC)

I posted on the mailing list and I'll echo my concerns here: I don't like that we're naming our data/APIs portal "dev", because I think it presents a minimised view of what we offer developers. We're a free software project, and if dev.wikimedia.org doesn't contain documentation for our actual software, instead of just our externally-facing APIs, in my opinion we will confuse people and possibly lose them in that confusion.

I mentioned on the mailing list that "developer" pages, many of which have been listed in our "external examples" section, have often driven me away from projects when they only contained data/API documentation and did not explain how to work on the software itself. I really don't want Wikimedia to become a project that I would be driven away from.

qgil wrote on 2014-08-26 20:23:51 (UTC)

This problem can be solved by a prominent box in the dev homepage pointing to what is today https://www.mediawiki.org/wiki/Developer_hub, evolved. (T480) There you will have all the information related to our software projects, where is the source, how to contribute.

At the end we are talking about a namespace within mediawiki.org, the site which contains all the rest of developer information. We just want to offer to the devs that are indeed looking for APIs what they are looking for.

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:43 AM
flimport assigned this task to Qgil.Oct 2 2014, 9:46 PM
In T311#3728, @flimport wrote:

qgil wrote on 2014-08-25 19:13:23 (UTC)
... and resolving with dev.wikimedia.org -- reasoning at T492#12.

I cannot edit that comment, but the reasoning can be found in the post-fab-migration T313